<template>
	<MeScroll  :up="up" :down="down" @up="upFn" :fixed="false" @down="downFn" @init="initMeScroll">
		<card  :list="list" ></card>
	</MeScroll>
</template>
<script>
	import MeScroll from '@/components/mescroll-body/mescroll-uni.vue'
	import card from './card.vue'
	var app=getApp()
	export default {
		components:{
			MeScroll,card
		},
		props: {
			type: Number,
			i: Number,
			item:Object
		},
		data() {
			return {
				loginType:'',
				
				isInit: false, // 是否初始化
				list: [], // 列表数据
				mescroll: null, // mescroll 对象
				// 上拉配置参数
				up: {
					noMoreSize: 5, 
					auto: false,
					page: {
						page: 0,
						size: 10
					}
				},
				// 下拉配置参数
				down: {
					use: true, 
					auto: false
				}
			}
		},
		watch:{
			type(val) {
				if(!this.isInit && val === this.i) {
					this.mescroll.resetUpScroll()
				}
			}
		},
		mounted() {
			if(!this.isInit && this.i === 0) {
				this.mescroll.resetUpScroll()
			}
		},
		created() {
			this.loginType=this.$cache.get('loginType')
		},
		methods: {
			/**
			 * @param {Object} mescroll 初始化组件
			 */
			initMeScroll(mescroll) {
				this.mescroll = mescroll
			},
			/**
			 * @param {Object} mescroll 上拉回调
			 */
			upFn(mescroll) {
				let params={
					current:mescroll.num,
					size:mescroll.size
				}
				if (this.i==1) {
					//异常记录
					params.isException=1
				}
				if (this.loginType==this.$loginType.AGENCY) {
					//园区登陆
					let tenantId=this.$cache.get('agencyTenantId')
					params.tenantId=tenantId
				}else if (this.loginType==this.$loginType.ENTERPRISE) {
					//企业
					let enterpriseId=this.$cache.get('enterpriseId')
					// params.enterpriseCreditCode=creditCode
					params.enterpriseId=enterpriseId
				}else if (this.loginType==this.$loginType.STAFF) {
					//员工
					let phone=this.$cache.get('phone')
					params.phone=phone
				}
				try{
					this.$api.temperatureRecord.page(params).then(res=>{
						let data=res.data.records
						let length=data.length
						let total=res.data.total
						mescroll.endBySize(length, total);
						if(mescroll.num == 1) this.list = []; //如果是第一页需手动制空列表
						this.list=this.list.concat(data); //追加新数据
					})
				}catch(e){
					mescroll.endErr();
				}
			},
			/**
			 * 下拉回调
			 * */
			downFn(mescroll) {
				setTimeout(()=>{
					this.mescroll.resetUpScroll()
				},1500)
			},
		}
	}
</script>

<style lang="scss" scoped>
	view{
		box-sizing: border-box;
	}
</style>
